:root {
  --bg: #f0f0f0;
  --text: #404040;
}

/* Importing custom font (Cascadia Code) */

@font-face {
  font-family: "Cascadia Code Italic";
  src: url("/fonts/CascadiaCodeItalic.woff2") format("woff2-variations"),
       url("/fonts/CascadiaCodeItalic.woff2") format("woff2");
  font-weight: 200 700;
  font-style: italic;
  font-display: swap;
}

@font-face {
  font-family: "Cascadia Code Regular";
  src: url("/fonts/CascadiaCode.woff2") format("woff2-variations");
  font-weight: 200 700;
  font-style: normal;
  font-display: swap;
}

/* Mapping of available weights for Cascadia Code Italic: 200, 300 ,350, 400, 500, 600, 700 */

.extralight {
  font-weight: 200;
  font-style: italic;
}

.light {
  font-weight: 300;
  font-style: italic;
}

.semilight {
  font-weight: 350;
  font-style: italic;
}

.regular {
  font-weight: 400;
  font-style: italic;
}

.medium {
  font-weight: 500;
  font-style: italic;
}

.semibold {
  font-weight: 600;
  font-style: italic;
}

.bold {
  font-weight: 700;
  font-style: italic;
}

*,
::before,
::after {
  box-sizing: border-box;
}

* {
  margin: 0;
}

body {
  font-family: "Cascadia Code Italic", monospace;
  font-weight: 400;
  font-style: italic;
  font-size: 14px;
  line-height: 1.5;
  color: var(--text);
  background: var(--bg);
  max-width: 600px;
  margin: 0 auto;
  padding: 24px 12px;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  /* background: linear-gradient(180deg, #e6ecf2 0px, #f0f0f0 200px); */
  min-height: 100vh;
}

a {
  color: #0000ee;
  /* color: #0020a0; */
  /* font-weight: bold; */
}

h1 {
  font-weight: 600;
  font-size: 24px;
  font-feature-settings: "ss01";
  padding: 0;
}

h2 {
  font-weight: 600;
  font-size: 18px;
  font-feature-settings: "ss01";
  padding: 0 0 16px;
}

h3 {
  font-weight: 600;
  font-size: 16px;
  font-feature-settings: "ss01";
  padding: 0 0 16px;
}

h4 {
  font-weight: 600;
  font-size: 14px;
  font-feature-settings: "ss01";
  padding: 0 0 16px;
}

code {
  border: 2px solid #202020;
  padding: 0 2px;
  border-radius: 4px;
  background: transparent;
  font-family: "Cascadia Code Regular", monospace;
  font-style: normal;
  font-weight: 400;
}










































header, article {
  background: #f5f5f5;
  border: 3px solid #fafafa;
  border-radius: 12px;
  padding: 8px 12px 16px;
}

article p + p {
  margin-top: 16px;
}

.changelog p + p {
  margin-top: 64px;
}

.item {
  display: block;
  margin-top: 12px;
}

nav {
  padding: 16px 0 0;
  display: flex;
  gap: 24px;
  flex-wrap: wrap;
}

nav {
  display: flex;
  gap: 32px;
  flex-wrap: wrap;
  padding: 16px 0 8px;
}

nav .item {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 0px;
  margin: 0;
  padding: 0;
  text-align: center;
  width: 80px;
}

section, footer {
  padding: 8px 16px;
}

hr {
  border: 2px #e0e0e0;
  margin: 12px 0;
}

img {
  max-width: 100%;
  height: auto;
}

ul {
  margin-top: 16px;
}

.icon {
  vertical-align: text-bottom;
}

/* Анімований банер нагорі. Виключення для WebKit, де не підтримується */

.hero {
  position: relative;
  overflow: hidden;
  width: 100%;
  height: 50px;
  margin: 0;
  padding: 0;
}

.banner1-animated {
  display: block;
  margin-top: 4px;
}

.banner1-static {
  display: none;
  margin-top: 4px;
}

.hero .title {
  position: absolute;
  top: 26px;
  left: 0px;
  transform: translateY(-50%);
  z-index: 2;
  margin: 0;
  padding: 0;
  color: #ffffff;
  mix-blend-mode: difference;
}

@supports (hanging-punctuation: first) and (font: -apple-system-body) and (-webkit-appearance: none) {
  .banner1-animated { display: none; }
  .banner1-static { display: block; }
}

/* Для елементів в підвалі */

.dimmed {
  color: #a0a0a0;
}

/* Для блоку метаданих */

.details-log {
  margin-top: 16px;
  text-align: center;
}

.details-log summary {
  display: inline;
  border-bottom: 1px dotted;
  cursor: pointer;
  list-style: none;
}

.details-log summary::-webkit-details-marker {
  display: none;
}

.details-log[open] > *:not(summary) {
  display: block;
  text-align: left;
  display: block;
  width: 240px;
  margin: 8px auto 0;
  padding: 12px;
  border-radius: 8px;
  background: #fcfcfc;
  font-size: 0.85em;
}